Create a membership
curl --request POST \
--url https://api.cal.com/v2/teams/{teamId}/memberships \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": 123,
"accepted": false,
"role": "MEMBER",
"disableImpersonation": false
}
'import requests
url = "https://api.cal.com/v2/teams/{teamId}/memberships"
payload = {
"userId": 123,
"accepted": False,
"role": "MEMBER",
"disableImpersonation": False
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: 123, accepted: false, role: 'MEMBER', disableImpersonation: false})
};
fetch('https://api.cal.com/v2/teams/{teamId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 123,
"userId": 123,
"teamId": 123,
"accepted": true,
"user": {
"email": "<string>",
"avatarUrl": "<string>",
"username": "<string>",
"name": "<string>",
"bio": "<string>",
"metadata": {
"key": "value"
}
},
"disableImpersonation": true
}
}Memberships
Create a membership
If accessed using an OAuth access token, the TEAM_MEMBERSHIP_WRITE scope is required.
POST
/
v2
/
teams
/
{teamId}
/
memberships
Create a membership
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Path Parameters
Body
application/json
Was this page helpful?
⌘I